> For the complete documentation index, see [llms.txt](https://scorpioplay.gitbook.io/scorpio-play-casino-api-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://scorpioplay.gitbook.io/scorpio-play-casino-api-doc/api-reference/openapi/v1-game-list-providerid.md).

# /v1/game/list/:providerId

## Retrieve a list of available games

<mark style="color:yellow;">`GET`</mark> `/v1/game/list/:providerId`

Returns all games that are available for the operator, based on query parameters such as provider, or status. Requires authentication.

**Headers**

| Name          | Value                |
| ------------- | -------------------- |
| Authorization | `Bearer <API_TOKEN>` |
| Content-Type  | `application/json`   |
| Accept        | `application/json`   |

**Parameters**

<table><thead><tr><th width="140">Key</th><th width="127">Type</th><th width="338">Description</th><th>Mandatory</th></tr></thead><tbody><tr><td>providerId</td><td>number</td><td>Provider ID</td><td>Required</td></tr></tbody></table>

**Response**

```json
{
  "success": true,
  "message": "OK",
  "data": [
    {
      "gameID": "vswaysdogs",
      "gameName": "The Dog House Megaways",
      "gameImage": "https://contents.example.com/imgae/120*120/1.png",
      "gameType": 0, // 0: Slot, 1: Live, 2: Other
      "inMaintenance": false
    }
  ]
}
```

<table><thead><tr><th width="193">Field</th><th width="120">Data Type</th><th>Meaning</th></tr></thead><tbody><tr><td>success</td><td>boolean</td><td>Indicates whether the API call succeeded</td></tr><tr><td>message</td><td>string</td><td>Textual confirmation of the API call</td></tr><tr><td>data</td><td>array</td><td>Array of game objects</td></tr><tr><td>data[].gameID</td><td>string</td><td>Unique game identifier</td></tr><tr><td>data[].gameName</td><td>string</td><td>Display name of the game</td></tr><tr><td>data[].gameImage</td><td>string</td><td>URL of the game thumbnail image</td></tr><tr><td>data[].gameType</td><td>number</td><td>Game type identifier<br>0: Slot, 1: Live, 2: Other</td></tr><tr><td>data[].inMaintenance</td><td>boolean</td><td>Indicates whether the game is under maintenance</td></tr></tbody></table>
